#
# spec file for package python-pytest-shutil
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without python2
%{?sle15_python_module_pythons}
Name:           python-pytest-shutil
Version:        1.7.0
Release:        7.3
Summary:        A goodie-bag of unix shell and environment tools for pytest
License:        MIT
URL:            https://github.com/manahl/pytest-plugins
Source:         https://files.pythonhosted.org/packages/source/p/pytest-shutil/pytest-shutil-%{version}.tar.gz
# PATCH-FEATURE-UPSTREAM pytest-fixtures-pr171-remove-mock.patch -- gh#man-group#pytest-plugins#171
Patch1:         pytest-fixtures-pr171-remove-mock.patch
BuildRequires:  %{python_module execnet}
BuildRequires:  %{python_module path}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools-git}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module termcolor}
BuildRequires:  fdupes
%if %{with python2}
BuildRequires:  python-contextlib2
BuildRequires:  python-mock
BuildRequires:  python-path.py
%endif
%if 0%{?suse_version} < 1550
BuildRequires:  python3-path.py
%else
BuildRequires:  %{python_module path}
%endif
BuildRequires:  python-rpm-macros
Requires:       python-execnet
%if 0%{suse_version} < 1550
Requires:       python-path.py
%else
Requires:       python-path
%endif
Requires:       python-pytest
Requires:       python-six
Requires:       python-termcolor
%ifpython2
Requires:       python-contextlib2
Requires:       python-mock
Requires:       python-path.py
%endif
BuildArch:      noarch

%python_subpackages

%description
This library is a goodie-bag of Unix shell and environment management
tools for automated tests.

%prep
%autosetup -p2 -n pytest-shutil-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Disable test_pretty_formatter test that fails in osc build but it works when
# run manually. It should be something related to the shell and termcolor
%pytest -k "not test_pretty_formatter"

%files %{python_files}
%doc README.md CHANGES.md
%license LICENSE
%{python_sitelib}/pytest_shutil
%{python_sitelib}/pytest_shutil-%{version}*-info

%changelog
* Sat Jun 10 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Dec  5 2022 Daniel Garcia <daniel.garcia@suse.com>
- Disable test_pretty_formatter test that fails in osc build but it works when
  run manually.
* Thu Apr 21 2022 Ben Greiner <code@bnavigator.de>
- Fixup fallout from SUSE's crusade against mock in the
  pytest-fixtures family
  * Replace remove-mock.patch with
    pytest-fixtures-pr171-remove-mock.patch
  * gh#man-group/pytest-plugins#171
  * Update build and runtime requirements
* Wed Mar 23 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add patch remove-mock.patch:
  * Do not use external mock.
* Fri Mar 13 2020 Tomáš Chvátal <tchvatal@suse.com>
- Build without python2 present
* Sat Dec 28 2019 Ondřej Súkup <mimi.vx@gmail.com>
- fix python-path/python-path.py requires
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.7.0:
  * Support pytest 4
* Fri Mar 22 2019 John Vandenberg <jayvdb@gmail.com>
- Remove dependency on contextlib2 on Python 3
* Wed Feb 20 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, neded by pytest-virtualenv
